ranges::views::concat_fn Struct Reference

## Synopsis of methods

constexpr concat_fn | concat {}

## Public Member Functions

template<typename Rng >
CPP_TEMPLATE_AUX_0 | a (requires ` viewable_range< Rng > &&input_range< Rng >) aaall_t< Rng > operator()(Rng &&rng) const
template<typename... Rngs>
CPP_TEMPLATE_AUX_0 | c (requires ` and_v<(viewable_range< Rngs > &&input_range< Rngs >)... >) ccconcat_view< all_t< Rngs >... > operator()(Rngs &&... rngs) const